import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import { memo } from 'react';
import { Studio } from 'sanity';
import { NextStudioClientOnly } from './NextStudioClientOnly.js';
import { NextStudioLayout } from './NextStudioLayout.js';
import { NextStudioLoading } from './NextStudioLoading.js';
import { NextStudioNoScript } from './NextStudioNoScript.js';
const NextStudioComponent = _ref => {
  let {
    children,
    config,
    unstable__noScript = true,
    unstable__fastRender,
    scheme,
    ...props
  } = _ref;
  if (unstable__fastRender) {
    return /* @__PURE__ */jsxs(Fragment, {
      children: [unstable__noScript && /* @__PURE__ */jsx(NextStudioNoScript, {}), /* @__PURE__ */jsx(NextStudioLayout, {
        config,
        scheme,
        children: children || /* @__PURE__ */jsx(Studio, {
          config,
          scheme,
          unstable_globalStyles: true,
          ...props
        })
      })]
    });
  }
  return /* @__PURE__ */jsxs(Fragment, {
    children: [unstable__noScript && /* @__PURE__ */jsx(NextStudioNoScript, {}), /* @__PURE__ */jsx(NextStudioClientOnly, {
      fallback: /* @__PURE__ */jsx(NextStudioLoading, {
        unstable__noScript,
        config,
        scheme
      }),
      children: /* @__PURE__ */jsx(NextStudioLayout, {
        config,
        scheme,
        children: children || /* @__PURE__ */jsx(Studio, {
          config,
          scheme,
          unstable_globalStyles: true,
          ...props
        })
      })
    })]
  });
};
const NextStudio = memo(NextStudioComponent);
export { NextStudio };
//# sourceMappingURL=NextStudio.js.map
