import { jsx } from 'react/jsx-runtime';
import { memo } from 'react';
import { useTheme } from './useTheme.js';
const NextStudioLayoutComponent = _ref => {
  let {
    children,
    config,
    scheme = "light"
  } = _ref;
  const theme = useTheme(config);
  return /* @__PURE__ */jsx("div", {
    "data-ui": "NextStudioLayout",
    style: {
      fontFamily: theme.fonts.text.family,
      backgroundColor: theme.color[scheme === "dark" ? "dark" : "light"].default.base.bg,
      height: "100vh",
      maxHeight: "100dvh",
      overscrollBehavior: "none",
      WebkitFontSmoothing: "antialiased",
      overflow: "auto"
    },
    children
  });
};
const NextStudioLayout = memo(NextStudioLayoutComponent);
export { NextStudioLayout };
//# sourceMappingURL=NextStudioLayout.js.map
