'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
var react = require('react');
function createStore() {
  if (typeof document === "undefined") {
    return {
      subscribe: () => () => {},
      getSnapshot: () => "light",
      getServerSnapshot: () => "light"
    };
  }
  const matchMedia = window.matchMedia("(prefers-color-scheme: dark)");
  return {
    subscribe: onStoreChange => {
      matchMedia.addEventListener("change", onStoreChange);
      return () => matchMedia.removeEventListener("change", onStoreChange);
    },
    getSnapshot: () => matchMedia.matches ? "dark" : "light",
    getServerSnapshot: () => "light"
  };
}
const store = createStore();
function usePrefersColorScheme() {
  return react.useSyncExternalStore(store.subscribe, store.getSnapshot, store.getServerSnapshot);
}
exports.usePrefersColorScheme = usePrefersColorScheme;
//# sourceMappingURL=usePrefersColorScheme.cjs.map
